### Method

# Gdk Surfacecreate_gl_context

#### Declaration [src]

    GdkGLContext*
    gdk_surface_create_gl_context (
      GdkSurface* surface
      GError** error
    )

#### Description [src]

Creates a new `GdkGLContext` for the `GdkSurface`.

The context is disconnected from any particular surface or surface. If the creation of the `GdkGLContext` failed, `error` will be set. Before using the returned `GdkGLContext`, you will need to call `gdk_gl_context_make_current()` or `gdk_gl_context_realize()`.

#### Return value

Type: `GdkGLContext`

The newly created `GdkGLContext`

The caller of the method takes ownership of the data, and is responsible for freeing it.